<template>
  <div class="page">
    <h1>Home</h1>
    <div class="card-list">
      <card
        v-for="(cat, catIndex) of catList"
        :key="`cat-index-${catIndex}`"
        :name="cat.name"
        :img="cat.img"
        :breed="cat.breed"
      />
    </div>
  </div>
</template>

<script>
import Card from '~/components/Card.vue'
export default {
  name: 'IndexPage',
  components: {
    Card,
  },
  data() {
    return {}
  },
  async asyncData({ $axios }) {
    console.log('Hi from the backend')
    const { data } = await $axios.get('http://localhost:3010/api/cats')
    return {
      catList: data,
    }
  },
  async mounted() {
    console.log(this.$store.state.counter)
    const { data } = await this.$axios.get('http://localhost:3010/api/cats')
    this.catList = data
  },
}
</script>
